body {
  background-color: #f0f0f0;
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
}

/* Default to dark theme */
:root {
--dark-gray: #e0e0e0; 
--shield: #101115 ;
--in-between: #a5a5a580;
--contrast: #2f2f2f;
--opacity-40: 0.4;
--opacity-60: 0.6;
/* --backgroundImage: url('img/bgImageDark.png'); */
--body: #101115;
--body-contrast: #efeeea;
--bg-image: url('img/Hero.png');
--md-image: url('img/mediumDarkHero.png');
--sm-image: url('img/smallHeroDark.png');
--hero-accent: #b38331;
--payment-link-bg: #2f2f2f;
--faded-hero-accent: #b3833180;
--nav-bg: #10111580;
}

/* Override for light theme */
.light {
  --nav-bg: #EFEEEA80;
--dark-gray: #2f2f2f;
--in-between: #2f2f2f90;
--shield: #e0e0e0;
--contrast: #e0e0e0;
--opacity-40: 0.4;
--opacity-60: 0.6;
/* --backgroundImage: url('img/test.png'); */
--body: #EFEEEA ;
--body-contrast: #101115;
--bg-image: url('img/invertHero.png');
--md-image: url('img/mediumHero.png');
--sm-image: url('img/smallHeroLight.png');
--hero-accent: #29416D;
--faded-hero-accent: #29416D80;
--payment-link-bg: #ffffff;

}

#desktop-nav {
  background-color: var(--nav-bg);
}
.w-150 {
  width: 150px;
}

.pay-here {
  font-size: 50px;
  font-family: "DM Serif Display", serif;
  padding:30px 15px;
  border-radius: 10px;
  background-color: var(--body-contrast);
  color: var(--payment-link-bg);
  text-align: center;
  width: 244px;
  height: 129px;
  display: flex;
  justify-content: center;
  align-items: center;
}


.payment-link-width {
  width: calc(33% - 10px);
}

.display-contents {
  display: contents;
}

.accent-dot {
  width: 50px;
  background-color: var(--hero-accent);
  border-radius: 50%;
  margin: auto;
}

.mt-130 {
  margin-top: 130px;;
}

.min-width-168 {
  min-width: 200px;
}

.mobile-background {
  background-color: var(--shield);
  opacity: 60%;;
}

.margin-5 {
  margin-right: 5px;
}

.payment-icons {
  height: 50px;
}

#exaplain {
  scroll-margin-top: 70px;
}

.payment-link-bg {
  background-color: var(--payment-link-bg);
}

.text-accent {
  color: var(--hero-accent);
}

.background-accent {
  background-color: var(--hero-accent);
}

.background-gradient {
  background-color: var(--body);
  background-repeat: no-repeat;
  /* height: 100%; */
  background-size: cover;
  background-position: top;
  }

  @media all and (max-width: 1000px) {
    .background-gradient {
    background-color: var(--body);
    background-repeat: no-repeat;
    height: 100%;
    background-position: bottom;
    }
  }
  
  @media all and (max-width: 600px) {
    .background-gradient { 
      background-color: var(--body);
    background-repeat: no-repeat;
    height: 100%;
    background-position: top;
    }
  }
  

.wt-line-left {
  width: 100%;
  height: 5px;
  border-radius: 50% 0% 0% 50%;
  background-color: #e0e0e0;
}

.wt-line-right {
  width: 100%;
  height: 5px;
  border-radius: 0% 50% 50% 0%;
  background-color: #e0e0e0;
}

/* .image-mask {
  background-image: url('img/goldwall.png'); 
  -webkit-background-clip: text;
  background-clip: text;
  background-position: center;
  color: transparent; 
} */

.width-40 {
  width: 40%;
}

.width-20 {
  width: 20%;
}

.in-between-bc {
border-color: var(--in-between);
}

.background-shield {
  background-color: var(--body-contrast);
}

.bg-theme-color {
background-color: var(--contrast);
border-radius: 50%;;
border: 1px solid var(--dark-gray);
padding: 10px;
}

.calc {
  width: calc(30% - 1px);
}

.bar {
  width: 100%;
  height: 20px;
  background: radial-gradient(circle, var(--hero-accent) 45%, transparent 50%);
  background-color: var(--dark-gray); /* Base background color */
  background-size: 20px 20px;
  background-position: center;
opacity: 70%;;
margin-left: 0px !important;
}



[x-cloak] {
  display: none;
}

.circle-bg-gradient {
  background: radial-gradient(circle, var(--hero-accent) 45%, transparent 50%);
  background-color: var(--dark-gray); /* Base background color */
  background-size: 20px 20px;
  background-position: center;
}

body {
background-color: var(--body);
}

.img-bg-about {
  background-color: var(--dark-gray);
}

.logo-text a {
color: var(--hero-accent);
}

.logo-text {
  color: #e0e0e0;
}

.hsdiscuss {
  width: 100%;
}

.h-95 {
  height: 95%;
}

.h-120 {
  max-height: 120px;
}

.w-339 {
  max-width: 339px;
}

.discussion-container {
  position: relative; /* Makes the parent element the reference for absolute positioning */
}

@media all and (min-width: 750px) and (max-width: 1220px) {
  .joinhs, .joine {
    font-size: 2rem !important;
    padding: 1.5rem !important;
    bottom: 2% !important;
  }
}

@media all and (min-width: 550px) and (max-width: 749px) {
  .joinhs, .joine {
    font-size: 1.5rem !important;
    padding: 1.3rem !important;
    bottom: 3% !important;
  }
}

@media all and (min-width: 300px) and (max-width: 749px) {
  .joinhs, .joine {
    font-size: 1.5rem !important;
    padding: 1.2rem !important;
    bottom: -8% !important;
  }
}


.joinhs {
  position: absolute;
  bottom: 4%;
  left: 10%;
}

.joine {
  position: absolute;
    bottom: 4%;
    left: 41%;
}

.width-200 {
  width: 200px;
}

.all-dark-text {
color: #2f2f2f
}

.missed {
  border: 2px solid red; /* Highlight border in red */
  outline: none; /* Remove default outline for better appearance */
}

.missed:focus {
  border: 2px solid #ccc; /* Restore to default border when focused */
}


.outlined-text {
text-shadow: 
    -1px -1px 7px var(--contrast),  
     1px -1px 7px var(--contrast),
    -1px  1px 7px var(--contrast),
     1px  1px 7px var(--contrast); /* Outline effect using black color */
}

.outlined-text-contrast {
text-shadow: 
    -1px -1px 7px var(--dark-gray),  
     1px -1px 7px var(--dark-gray),
    -1px  1px 7px var(--dark-gray),
     1px  1px 7px var(--dark-gray); /* Outline effect using black color */
}

.contrast-outlined-text {
text-shadow: 
    -1px -1px 7px #e0e0e0,  
     1px -1px 7px #e0e0e0,
    -1px  1px 7px #e0e0e0,
     1px  1px 7px #e0e0e0; /* Outline effect using black color */
}

.outlined-text-dark {
text-shadow: 
    -1px -1px 7px #2f2f2f,  
     1px -1px 7px #2f2f2f,
    -1px  1px 7px #2f2f2f,
     1px  1px 7px #2f2f2f; /* Outline effect using black color */
}

/* Apply a transition to all elements or specific ones */
html, body, div, span { /* Add other tags as necessary */
transition: background-color 0.3s ease, color 0.3s ease; /* Smooth transition for background and text colors */
}

.static-bg-color-dark {
  background-color: #101115;
}

.contrast {
  color: #2f2f2f;
}
.contrast-variable {
  color: var(--dark-gray);
}
.toggle-padding {
  padding: 2px; /* Padding around the toggle */
  display: inline-block; /* Keeps dimensions correct for padding */
  position: relative;
  width: 42px; /* Adjust width as needed */
  height: 24px; /* Adjust height as needed */
  background-color: var(--contrast); /* Light grey background */
  border: 3px solid var(--in-between); /* In-between grey border */
  border-radius: 9999px; /* Fully rounded ends */
}
.toggle-circle {
  position: absolute;
  top: 0; /* 2px from the top of the parent container */
  left: 0; /* Starts 2px from the left, will translate to right */
  width: 18px; /* Adjust size of the circle */
  height: 18px; /* Keep width and height same for a circle */
  background-color: var(--dark-gray); /* Dark grey color for the toggle circle */
  border-radius: 9999px; /* Makes it round */
  transition: transform 0.3s ease-in-out; /* Smooth transition for moving */
}

html {
  scroll-behavior: smooth;
}

.img-bg {
  background-color: var(--gradient-middle);
}

.work-sans-500 {
font-family: "Work Sans", sans-serif;
font-optical-sizing: auto;
font-weight: 500;
font-style: normal;
}

@font-face {
  font-family: 'DM Serif Display';
  src: url('./fonts/DMSerifDisplay-Regular.ttf') format('truetype'); /* Regular weight */
  font-weight: 400; /* Regular weight */
  font-style: normal;
  font-display: swap; /* Optional: Ensures fallback font is used until loaded */
}

.dm-serif-400 {
  font-family: "DM Serif Display", serif; /* Use the DM Serif Display font */
  font-weight: 400; /* Regular weight */
  font-style: normal; /* Regular style */
}

.dm-serif-bold {
  font-family: "DM Serif Display", serif; /* Use the DM Serif Display font */
  font-weight: 700; /* Simulated bold weight */
  font-style: normal; /* Regular style */
}


.lora-400 {
font-family: "Lora", serif;
font-optical-sizing: auto;
font-weight: 400;
font-style: normal;
}

.lora-700 {
  font-family: "Lora", serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
}

.playfair-display-500 {
  font-family: "Playfair Display", serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
}

.playfair-display-300 {
  font-family: "Playfair Display", serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
}



.text-dark-gray-40 {
  color: var(--contrast);
  opacity: var(--opacity-40);
}

.bg-dark-gray {
  background-color: var(--contrast);
}

.text-dark-gray-60 {
  color: var(--dark-gray);
  opacity: var(--opacity-60);
}

.font-bold-dark-gray-60 {
  font-weight: bold;
  color: var(--dark-gray);
  opacity: var(--opacity-60);
}

.neg-letter {
  letter-spacing: -2px;
}
.more-neg-letter {
  letter-spacing: -4px;
}
.dark-gray {
  color: var(--dark-gray);
}

.middle-light-color {
  color: var(--gradient-middle)
}

.neg-z {
  z-index: -1;
}

.z {
  z-index: 1;
}

.mobile-menu-border {
  border-right: 2px solid var(--hero-accent);
}

.button-border {
  color: var(--dark-gray);
}

.logo-border {
  border: 2px solid var(--dark-gray);
  border-radius: 5px;
  background-color: var(--hero-accent);
  color: var(--contrast);
}

.mobile-menu-button-border {
  border: 2px solid var(--contrast);
  border-radius: 50%;
  background-color: var(--hero-accent);
  color: var(--contrast);
}
.light-button-border {
  border: 2px solid var(--dark-gray);
  border-radius: 50%;
}
.feature-border {
  border: 2px solid var(--dark-gray);
  padding: 25px;
  border-radius: 17px;
}
.feature-border-mobile {
  border: 2px solid var(--dark-gray);
  padding: 7px;
  border-radius: 17px;
}
.img-border-radius {
  border-radius: 45%;
}
.lc {
  text-transform: lowercase;
}

.z-1 {
  z-index: -1;
}

.top-10 {
  top: 10%;
}

.li > div > li {
  display: flex;
  border-radius: 50%;
  font-family: Lora;
  font-weight: 700;
  padding: 10px 10px 10px 0px;
}
.explain-span-text {
  font-weight: 900;
  opacity: 100%;
}
.p-line-h > p {
  line-height: 1.625;
}
.li2 > li {
  padding: 5px;
  display: flex;
  align-items: center;
  border-radius: 50%;
}
.hover-link:hover {
  color: #0000FF;
}
.link {
  color: #0000FF;
}
.flex-col-hover:hover {
  flex-direction: column;
}
.visited-link {
  color:#800080;
}
.img-hover {
  filter: brightness(0) saturate(100%) hue-rotate(-50deg) sepia(100%) saturate(1500%) brightness(1.8);
}
.h-500 {
  height: 530px;
}
.h-120 {
  height: 120px;
}

.line {
  width: 100%;
  height: 2px;
  background-color: var(--dark-gray);
  margin: 20px 0;
}
.text-bg {
  background-color: var(--gradient-start);
}
.view-height-50 {
  height: 50vh;
}
.mobile-position {
  left: 12.5%;
  transition: top 0.5s;
}
.mobile-radius {
border-radius: 0% 0% 50% 50%;
}
.gap-20 {
gap: 20%;
}

.io-link {
  color: rgb(126, 2, 126)
}


.nav-icon-1{
    width: 30px;
    height: 30px;
    position: relative;
    transition: .1s;
    cursor: pointer;
    display: inline-block;
  }
  .nav-icon-1 span{
    width: 5px;
    height: 5px;
    background-color: var(--hero-accent);
    display: block;
    border-radius: 50%;
    position: absolute;
  
  }

  .hero-padding {
    padding: 60px;
    }
  

  .basic-border {
    border: 1px solid var(--dark-gray);
    border-radius: 10px;
    padding: 10px;
    background-color: var(--contrast);
  }

  .border-50 {
    border-radius: 50%;
  }

  .nav-icon-1 .open {
    background-color: var(--dark-gray);
  }
  .nav-icon-1:hover span{
    transform: scale(1.2);
    transition: 350ms cubic-bezier(.8, .5, .2, 1.4);
  }
  .nav-icon-1 span:nth-child(1){
    left: 0;
    top: 0;
  }
  .nav-icon-1 span:nth-child(2){
    left: 12px;
    top: 0;
  }
  .nav-icon-1 span:nth-child(3){
    right: 0;
    top: 0;
  }
  .nav-icon-1 span:nth-child(4){
    left: 0;
    top: 12px;
  }
  .nav-icon-1 span:nth-child(5){
    position: absolute;
    left: 12px;
    top: 12px;
  }
  .nav-icon-1 span:nth-child(6){
    right: 0px;
    top: 12px;
  }
  .nav-icon-1 span:nth-child(7){
    left: 0px;
    bottom: 0px;
  }
  .nav-icon-1 span:nth-child(8){
    position: absolute;
    left: 12px;
    bottom: 0px;
  }
  .nav-icon-1 span:nth-child(9){
    right: 0px;
    bottom: 0px;
  }
  .nav-icon-1.open{
    transform: rotate(180deg);
    cursor: pointer;
    transition: .2s cubic-bezier(.8, .5, .2, 1.4);
  }
  .nav-icon-1.open span{
    border-radius: 50%;
    transition-delay: 200ms;
    transition: .5s cubic-bezier(.8, .5, .2, 1.4);
  }
  .nav-icon-1.open span:nth-child(2) {
    left: 6px;
    top: 6px;
  }
  .nav-icon-1.open span:nth-child(4) {
    left: 6px;
    top: 18px;
  }
  .nav-icon-1.open span:nth-child(6) {
    right: 6px;
    top: 6px;
  }
  .nav-icon-1.open span:nth-child(8) {
    left: 18px;
    bottom: 6px;
  }

  .-top-full {
    top: -100% !important;
  }